> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tunnel Wg Conf



## OpenAPI

````yaml /openapi.json get /service/{tenant_name}/wg_tunnel/get_conf/{user_name}/{tunnel_id}
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /service/{tenant_name}/wg_tunnel/get_conf/{user_name}/{tunnel_id}:
    get:
      tags:
        - service - vpn app
      summary: Get Tunnel Wg Conf
      operationId: >-
        get_tunnel_wg_conf_service__tenant_name__wg_tunnel_get_conf__user_name___tunnel_id__get
      parameters:
        - name: tunnel_id
          in: path
          required: true
          schema:
            type: string
            title: Tunnel Id
        - name: tenant_name
          in: path
          required: true
          schema:
            title: Tenant Name
        - name: user_name
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User Name
        - name: username
          in: query
          required: true
          schema:
            type: string
            title: Username
        - name: system_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: System Name
        - name: user-agent
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User-Agent
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NBWGTunnelConfResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    NBWGTunnelConfResponse:
      properties:
        tunnel_id:
          type: string
          title: Tunnel Id
        tunnel_ip:
          type: string
          title: Tunnel Ip
        tunnel_private_key:
          type: string
          title: Tunnel Private Key
        tunnel_DNS:
          type: string
          title: Tunnel Dns
        public_key:
          type: string
          title: Public Key
        psk:
          type: string
          title: Psk
        allowed_ips:
          type: string
          title: Allowed Ips
        untrusted_allowed_ips:
          type: string
          title: Untrusted Allowed Ips
        remote_ip:
          type: string
          title: Remote Ip
        remote_port:
          type: string
          title: Remote Port
        system_location:
          anyOf:
            - type: string
            - type: 'null'
          title: System Location
      type: object
      required:
        - tunnel_id
        - tunnel_ip
        - tunnel_private_key
        - tunnel_DNS
        - public_key
        - psk
        - allowed_ips
        - untrusted_allowed_ips
        - remote_ip
        - remote_port
      title: NBWGTunnelConfResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````